Bug 124418 - kdegraphics has wrong macro and should BuildRequires: fribidi-devel
Summary: kdegraphics has wrong macro and should BuildRequires: fribidi-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdegraphics   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-26 13:58 UTC by Maxim Dziumanenko
Modified: 2007-04-18 17:08 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 10:38:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Maxim Dziumanenko 2004-05-26 13:58:01 UTC
Description of problem:
kdegraphics has undefined "scanner_archs" macro
so condition should be converted as follows
%ifarch %{scanner_archs} -> %ifnarch %{no_scanner_archs}

also fribidi-devel needed to build ksvg

Version-Release number of selected component (if applicable):
kdegraphics-3.2.2-1

How reproducible:
Always

Steps to Reproduce:
1.rpm -e fribidi-devel
2.rpmbuild --rebuild kdegraphics-3.2.2-1.src.rpm
3.Wait for build error
  
Actual results:


Expected results:


Additional info:

Comment 1 Ngo Than 2004-06-02 21:17:25 UTC
it's fixed in kdegraphkdegraphics-3.2.2-2 or newer. Thanks for your report

Comment 2 Maxim Dziumanenko 2004-11-01 14:20:34 UTC
in 3.3.0-3 specified:
...
%define no_scanner_archs s390 s390x
...
%ifarch %{no_scanner_archs}
BuildRequires: sane-backends-devel >= 1.0.3-10
BuildRequires: gphoto2-devel
BuildRequires: libexif-devel
%endif

It means kdegraphics will build with sane-backends on s390, and
without scanner support on other arches. This is wrong!

Statement should be:
%ifnarch %{no_scanner_archs}

Comment 3 Ngo Than 2004-11-02 10:38:46 UTC
sorry, i have fixed the one in RHEL3 but forgot to add the fix for FC3
:( it's now really fixed in kdegraphics-3.3.1-3. thanks


Note You need to log in before you can comment on or make changes to this bug.